Package com.salesforce.hyperdb.grpc

## Interface SqlType.NumericModifierOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `SqlType.NumericModifier`, `SqlType.NumericModifier.Builder`

Enclosing class:
  SqlType

    public static interface SqlType.NumericModifierOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getPrecision()` `uint32 precision = 1;`
`int` `getScale()` `uint32 scale = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getPrecision

    int getPrecision()

`uint32 precision = 1;`

Returns:
  The precision.

#### getScale

    int getScale()

`uint32 scale = 2;`

Returns:
  The scale.